Delete a recipient from a recipient list
1 min
DELETE
https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
- recipientIdstringrequiredDescription
- recipientListIdinteger<int64>requiredDescriptionFormatint64
Responses
204
404
curl
curl --request DELETE \
--url https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
204
// The recipient was deleted successfully from the recipient list.
404
// The recipient could not be found in the recipient list. Ensure that the required parameters such as "recipientListId" or "recipientId" are correct and the recipient exists.